package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Spr;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface SprMapper {

    int insert(Spr record);

    int insertSelective(Spr record);

    int updateByPrimaryKeySelective(Spr record);

    int updateByPrimaryKey(Spr record);

    int deleteByPrimaryKey(Spr record);

    int deleteByIds(Collection<Object> collection);

    Spr selectByPrimaryKey(Spr record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Spr> dyncRead(Map<String, Object> dyncMap);

}